- Qt 6.5
- Qt WebEngine
- QML Types
- WebEngineView
- Qt 6.5.1 Reference Documentation

# Obsolete Members for WebEngineView

The following members of QML type WebEngineView are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Signals

- quotaRequested(QuotaRequest request)`(deprecated since 6.5)`

## Signal Documentation

`[since QtWebEngine 1.7]` quotaRequested(QuotaRequest request)

This signal is deprecated since 6.5. We strongly advise against using it in new code.

This signal is no longer emitted.

Requesting host quota is no longer supported by Chromium. The behavior of navigator.webkitPersistentStorage is identical to navigator.webkitTemporaryStorage.

For further details, see https://crbug.com/1233525

Note: The corresponding handler is `onQuotaRequested`.

This signal was introduced in QtWebEngine 1.7.

See also QuotaRequest.